<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'chat',

    /*
     * Modules.
     */
    'modules'   => ['chat'],

    
    'chat'       => [
        'model' => [
            'model' => \Litepie\Chat\Models\Chat::class,
            'repository' => \Litepie\Chat\Repositories\Eloquent\ChatRepository::class,
            'table' => 'chats',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'message',  'star',  'archive',  'contact_id',  'user_id',  'user_type',  'created_at',  'updated_at',  'detetd_at'],
            'translatables' => [],
            'upload_folder' => 'chat/chat',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Chat',
            'module' => 'Chat',
        ],
    ],
];
