<?php

namespace Litepie\Chat\Forms;

use Litepie\Form\FormInterpreter;

class Chat extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('chat/chat/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('chat/chat/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('chat/chat'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('chat/chat'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('chat/chat'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('chat/chat'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('chat::chat.label.name'),
                "placeholder" => trans('chat::chat.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('chat::chat.label.created_at'),
            'name' => trans('chat::chat.label.name'),
            'status' => trans('chat::chat.label.status'),
        ];
        self::$groups = [
            'main' => trans('chat::chat.groups.main'),
            'details' => trans('chat::chat.groups.details'),
            'images' => trans('chat::chat.groups.images'),
            'settings' => trans('chat::chat.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('chat::chat.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('chat::chat.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('chat::chat.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('chat::chat.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'message' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('chat::chat.label.message'),
                "placeholder" => trans('chat::chat.placeholder.message'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'star' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('chat::chat.label.star'),
                "placeholder" => trans('chat::chat.placeholder.star'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'archive' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('chat::chat.label.archive'),
                "placeholder" => trans('chat::chat.placeholder.archive'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'contact_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('chat::chat.label.contact_id'),
                "placeholder" => trans('chat::chat.placeholder.contact_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'detetd_at' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('chat::chat.label.detetd_at'),
                "placeholder" => trans('chat::chat.placeholder.detetd_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
