<?php

namespace Litepie\Chat\Repositories\Eloquent;

use Litepie\Chat\Interfaces\ChatRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Chat\Repositories\Eloquent\Presenters\ChatItemPresenter;


class ChatRepository extends BaseRepository implements ChatRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.chat.chat.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.chat.chat.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ChatItemPresenter::class;
    }
}
