<?php

namespace Litepie\Chat\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class ChatItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('chat/chat') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'message' => $this->message,
            'star' => $this->star,
            'archive' => $this->archive,
            'contact_id' => $this->contact_id,
            'user_id' => $this->user_id,
            'user_type' => $this->user_type,
            'detetd_at' => $this->detetd_at,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
